# Class VulkanLWJGLImageSubresourceRanges

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLImageSubresourceRanges

public final class VulkanLWJGLImageSubresourceRanges extends Object
Functions to pack subresource ranges.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkImageSubresourceRange`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanImageSubresourceRange info)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageSubresourceRange`
  `packInto(VulkanImageSubresourceRange source, org.lwjgl.vulkan.VkImageSubresourceRange target)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageSubresourceRange.Buffer`
  `packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageSubresourceRange> infos)`
  Pack structures.
  `static org.lwjgl.vulkan.VkImageSubresourceRange.Buffer`
  `packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageSubresourceRange> infos)`
  Pack structures.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pack

    public static org.lwjgl.vulkan.VkImageSubresourceRange pack(org.lwjgl.system.MemoryStack stack, VulkanImageSubresourceRange info)
    Pack a structure.
    Parameters:
      `stack` - A stack
      `info` - A structure
    Returns:
      A packed structure

  - ### packInto

    public static org.lwjgl.vulkan.VkImageSubresourceRange packInto(VulkanImageSubresourceRange source, org.lwjgl.vulkan.VkImageSubresourceRange target)
    Pack a structure.
    Parameters:
      `source` - The input structure
      `target` - The output structure
    Returns:
      A packed structure

  - ### packList

    public static org.lwjgl.vulkan.VkImageSubresourceRange.Buffer packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageSubresourceRange> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors

  - ### packListOrNull

    public static org.lwjgl.vulkan.VkImageSubresourceRange.Buffer packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageSubresourceRange> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors